Bug 136435 - Sigsegv from ImageMagick 'display' on a visual directory
Sigsegv from ImageMagick 'display' on a visual directory
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-19 20:38 EDT by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 15:06:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-10-19 20:38:49 EDT
Description of problem:

Manpage for 'display' says:
...
       To display a visual image directory of all your JPEG images, use:

           display vid:*.jpg
...

With "big enough" number of "*.jpg" files a command like this is
causing SIGSEGV.  What is "big enough" seem to depend on a number of
pictures.  I did not find an example of with an expression after
'vid:' matching one file.  Sometimes two are enough to cause that,
sometimes one needs more.  Eventually this bombs out.  What are
picture characteristics causing that it is to me not clear.  If
instead one will try to create a "Visual Directory" using a "Command"
menu and "File->Visual Directory" operation in it, then on the same
files which give trouble from a command line there are no issues.
I created that way a visual directory with fifty five files in it
while various small subsets of the same were leading consistently to
segmentation faults when used on a command line.

Here is a backtrace, without loading debugging symbols, from x86

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -154257728 (LWP 3470)]
0x9a7108ac in ?? ()
(gdb) bt
#0  0x9a7108ac in ?? ()
#1  0x00798fc3 in UnregisterVICARImage () from /usr/lib/libMagick.so.6
#2  0x005fc179 in ReadImage () from /usr/lib/libMagick.so.6
#3  0x005c2327 in BlobToImage () from /usr/lib/libMagick.so.6
#4  0x006f25bd in XMakeImage () from /usr/lib/libMagick.so.6
#5  0x0061bbce in ValidateColormapIndex () from /usr/lib/libMagick.so.6
#6  0x0063218d in XDisplayImage () from /usr/lib/libMagick.so.6
#7  0x0063704d in DisplayImageCommand () from /usr/lib/libMagick.so.6
#8  0x08048957 in ?? ()
#9  0x090e8d30 in ?? ()
#10 0x00000002 in ?? ()
#11 0x08dfba58 in ?? ()
#12 0x00000000 in ?? ()
(gdb)

and a similar one from x86_64

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 182894161376 (LWP 16897)]
0x000000010004a005 in ?? ()
(gdb) bt
#0  0x000000010004a005 in ?? ()
#1  0x00000032de8fccac in UnregisterVICARImage () 
   from /usr/lib64/libMagick.so.6
#2  0x00000032de79e0af in ReadImage () from /usr/lib64/libMagick.so.6
#3  0x00000032de76cd69 in BlobToImage () from /usr/lib64/libMagick.so.6
#4  0x00000032de872851 in XMakeImage () from /usr/lib64/libMagick.so.6
#5  0x00000032de7b553a in ValidateColormapIndex ()
   from /usr/lib64/libMagick.so.6
#6  0x00000032de7c7e9a in XDisplayImage () from /usr/lib64/libMagick.so.6
#7  0x00000032de7cc2a9 in DisplayImageCommand () from
/usr/lib64/libMagick.so.6
#8  0x0000000000400ced in ?? ()
#9  0x00000032dce1c4ca in __libc_start_main () from /lib64/tls/libc.so.6
#10 0x0000000000400b4a in ?? ()
#11 0x0000007fbffff808 in ?? ()
#12 0x000000000000001c in ?? ()
#13 0x0000000000000002 in ?? ()
#14 0x0000007fbffffa5b in ?? ()
#15 0x0000007fbffffa6c in ?? ()
#16 0x0000000000000000 in ?? ()
(gdb)


Version-Release number of selected component (if applicable):
ImageMagick-6.0.7.1-4

How reproducible:
Always with a "proper" collection of pictures.  Once it bombs
it bombs consistently.  Experiments were conducted on a set
of pictures from a digital camera with sizes around 1.4 - 1.5 Meg
each.
Comment 1 Matthew Miller 2006-07-10 18:47:28 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.